---
title: DeviceProximityEvent.value
slug: Web/API/DeviceProximityEvent/value
tags:
  - API
  - DeviceProximityEvent
  - Experimental
  - Expérimental(2)
  - NeedsBetterSpecLink
  - NeedsExample
  - NeedsMarkupWork
  - Property
  - Proximity Events
  - Reference
  - Référence(2)
---
<p>{{APIRef("Proximity Events")}}{{Obsolete_Header}}</p>

<p>The <code>value</code> property of {{domxref("DeviceProximityEvent")}} objects provides the current distance between the device and the detected object, in centimeters.</p>

<h2 id="Syntax">Syntax</h2>

<pre>var distance = instanceOfDeviceProximityEvent.value;</pre>

<h2 id="Value">Value</h2>

<p>A positive number representing a distance in centimeters (cm) between the device's proximity sensor and the detected object.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceProximityEvent.value")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DeviceProximityEvent")}}</li>
</ul>
